'class determination
'friday, sept. 7

'The user enters a number of credits 
'up to 24 (not including) Freshman
'24 to 54 (not including) Sophomore
'54 to 84 Junior
'84 and up Senior 


Public Class FrmClassDetermination

    '***************************************************************************************
    'determine the user's class based on the number of credits he/she enters
    Private Sub btnEnter_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEnter.Click
        Dim Credits As Integer

        'get number of credits from textbox, 
        'exit subroutine if textbox contents cannot be cast as an integer
        Try
            Credits = txtCredits.Text
        Catch
            MsgBox("please enter a number.")
            Exit Sub
        End Try

        'NOTE: we never made sure that the number of credits was more than 0

        'Here we use the ElseIf structure.  The condition following the ElseIf 
        'keyword is only tested if the previous condition(s) were false. 
        'Often in a series of ElseIf's the last is just an Else -- making it 
        'the "default case" -- what you do if none of the above conditions 
        'were true 
        If Credits <= 23 Then
            lblResult.Text = "You are a freshman"
        ElseIf Credits <= 53 Then
            lblResult.Text = "You are a sophomore"
        ElseIf Credits <= 83 Then
            lblResult.Text = "You are a junior"
        Else
            lblResult.Text = "You are a senior"
        End If
    End Sub

    '***************************************************************************************
    'clear out the result if the user changes any of the input
    Private Sub txtCredits_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCredits.TextChanged
        lblResult.Text = ""
    End Sub
End Class
